# QGraphicsScale Class Reference

### [com.trolltech.qt.gui package]

Inherits QGraphicsTransform.

### Constructor

- void QGraphicsScale(QObject parent)

### Constructor Properties

- prototype: The QGraphicsScale prototype object

### Instance Properties

QGraphicsScale objects inherit properties from the QGraphicsScale prototype object and also have the following properties.

- origin
- xScale
- yScale
- zScale